Description

I am currently trying to get rsb-python running with windows. The
pypi-Files are really helpful so thanks a lot for those. However I've
run into a problem with introspection. You use "os.getlogin()" in
line 224 in the introspection/__init__.py. However os has no function
getlogin under windows. You do catch an OSError, however an
AttributeError is raised in this case.

Associated revisions
Revision 9c3f2a8d - 09/08/2016 10:42 AM - J. Moringen

For portability, use getpass to get user name in rsb/introspection/__init__.py

fixes #2651

    -  rsb/introspection/__init__.py (header): updated copyright
  (toplevel): added import getpass
  (ProcessInfo.__init__): use getpass.getuser instead of os.getlogin

Revision cdf638a2 - 09/08/2016 06:24 PM - J. Moringen

Backport: For portability, use getpass to get user name in rsb/introspection/__init__.py

refs #2651

    -  rsb/introspection/__init__.py (header): updated copyright
  (toplevel): added import getpass
  (ProcessInfo.__init__): use getpass.getuser instead of os.getlogin

(cherry picked from commit 9c3f2a8d6eabb8328b22d22f10e2c3d3c020fdad)

History
#1 - 09/08/2016 10:20 AM - J. Moringen
- Priority changed from Normal to High

#2 - 09/08/2016 10:47 AM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:rsb-python|9c3f2a8d6eabb8328b22d22f10e2c3d3c020fdad.

#3 - 09/08/2016 05:50 PM - J. Moringen
- Assignee set to J. Moringen
- % Done changed from 100 to 0

#4 - 09/09/2016 12:57 PM - J. Moringen
- % Done changed from 0 to 100
